int write_kvp(FILE *f, char *key, char *value);
int read_kvp(FILE *f, char *filename, char **key, char **value);
int rollback(struct file_list *fl);
int rollback_for_overwrite(FILE *f, char *tgtdir, struct file_list *oldfl,
	struct file_list *newfl);
int cleanup_overwrite(char *tgtdir, struct file_list *oldfl);
FILE *open_package_datafile(char *name, char *target, char **filename);
void cleanup_package_datafile(FILE *f, char *target, char *filename);

struct dep {
	struct dep *next;
	char *name;
	char *min_version;
	char *max_version;
};

void read_package_header(FILE *in, char *infn, char **name, char **vers,
	struct dep **deps);
