extern char *progname;

void *xmalloc(size_t size, char *filename);
void *erealloc(void *buf, size_t size, char *filename);
void *xrealloc(void *buf, size_t size, char *filename);
void error(char *filename);
void die(char *filename);

FILE *filename_adjust_open(char **filename, char *mode);
FILE *gz_stream_open(char *filename, char *mode);
FILE *bz2_stream_open(char *filename, char *mode);
FILE *xz_stream_open(char *filename, char *mode);

size_t xread(FILE *f, char *filename, char *buf, size_t size);
void xwrite(FILE *f, char *filename, char *buf, size_t size);
void xseek(FILE *f, char *filename, long offset);

size_t copy_all(FILE *in, char *infn, FILE *out, char *outfn);
size_t x_copy_all(FILE *in, char *infn, FILE *out, char *outfn);
void fill_bytes(FILE *f, char *filename, size_t size);

void target_emsg(char *target, char *filename, char *emsg);
void target_error(char *target, char *filename);
void target_die(char *target, char *filename);
void version(char *cmd);
